Skip to main content

Get Leaderboard Config

GET 

/leaderboard/v1/config/leaderboard/:leaderboard_id

Get the leaderboard config for a specific leaderboard

Request

Path Parameters

    leaderboard_id Leaderboard Idrequired

Responses

Successful Response

Schema

    leaderboard_id Leaderboard Id (string)required

    Possible values: non-empty and <= 128 characters

    Unique ID for this leaderboard

    player_list PlayerListType (string)required

    Possible values: [GLOBAL, FRIENDS]

    The player scope of this leaderboard

    max_size Max Size (integer)required

    Possible values: <= 10000

    The maximum size this leaderboard can reach

    sort_order SortOrder (string)required

    Possible values: [asc, desc]

    The sorting type this leaderboard

    source LeaderboardSource (string)required

    Possible values: [INVENTORY, RANK]

    The data source for this leaderboard

    source_id Source Id (string)required

    Unique Item or Rank ID for the data source of this leaderboard

    remove_restricted Remove Restricted (boolean)

    Default value: true

    Whether or not restricted accounts (eg banned) should be removed from this leaderboard

    required_recent_login_days

    object

    How recently the account must have logged in to be included in the leaderboard

    anyOf

    integer

    update_frequency_seconds Update Frequency Seconds (integer)required

    Possible values: >= 60

    How frequently the data for this leaderboard should be requested

    expose_stat Expose Stat (boolean)

    Whether or not the value of the stat that determines this leaderboard should be exposed when the leaderboard is queried

    expose_players Expose Players (boolean)

    Default value: true

    Whether or not individual player stats should be saved in the leaderboard, or if only the metadata can be returned

Loading...